Skip to main content
GET
/
api
/
taxii2
/
api
/
Get API root
curl -H "Authorization: Bearer sk_live_..." \
  -H "Accept: application/taxii+json;version=2.1" \
  "https://socdefenders.ai/api/taxii2/api/"
import requests

url = "https://socdefenders.ai/api/taxii2/api/"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://socdefenders.ai/api/taxii2/api/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "title": "SOC Defenders TAXII API Root",
  "description": "Curated cyber threat intelligence collections",
  "versions": [
    "application/taxii+json;version=2.1"
  ],
  "max_content_length": 10485760
}

Authorizations

X-API-Key
string
header
required

API key in X-API-Key header

Response

200 - application/taxii+json;version=2.1

API Root metadata

title
string
description
string
versions
string[]
max_content_length
integer